Subject: Template and Distribution query intrinsics ?

From: [email-masked]
Date: Tue, 19 May 92 09:57:49 CDT

At the moment we have no intrinsics for querying
template and distribution construction.  So, for example, if 
an HPF program does decide that it should REDISTRIBUTE itself
it doesn't have any tools to figure out what to do.

Such intrinsics should report the actual distribution at
run time, and not the distribution that the HPF programmer
asked for (though it would be nice if they were the same.. ).

Guy has already proposed intrinsics of this kind in conjunction
with the LOCAL subroutine proposal.  (Group 2/3.)

With the agreement on PROCESSOR_SHAPE we have provided
some query functionality for the lowest HPF level.  Although
we need a version of Guy's suggestion (11.[b] in Rob's
summary message) to incorporate named PROCESSOR definitions.
Example: A CM2-8K has either 8,192 or 256 ``processors''. 
In general, the number of HPF PROCESSORS may have little or 
nothing to do with the vendor-specific number of processors. 

(If I incrementally purchase processors for a system I'll have to
 be careful to avoid big prime processor counts because the only 
 way I could fully exploit the system is with a 1D PROCESSOR defn. :)

Peter